body.highcontrast {
    background-color: #000;
    --main-color: #fff !important;
    --text-color: #fff;
    --text-color-btn: #000;
    --uxc-calendar-day-enabled: #000;
}

    body.highcontrast .sop {
        background-color: #000;
    }

    body.highcontrast .img-plus {
        display: none !important;
    }

    body.highcontrast .tkm-nav {
        background-color: #FFF;
    }

    body.highcontrast .sop-header {
        background-color: #000;
    }

    body.highcontrast .sop-login-btn {
        background-color: #fff;
        color: #000;
    }

    body.highcontrast .tkm-nav a {
        color: #000 !important;
        font-weight: 700;
    }

    body.highcontrast .sop-form-login {
        color: #000;
        border: 1px solid #fff;
    }

    body.highcontrast .sop.sop .sop-breadcrumbs-row {
        background-color: #000;
    }

    body.highcontrast .o-btn {
        background-color: #fff;
        font-weight: 700 !important;
        color: var(--text-color-btn);
        border: 1px solid #fff;
    }

    body.highcontrast .login-form {
        background-color: #000;
    }

    body.highcontrast .my-data-table {
        border: 1px solid #fff;
        background-color: #000;
    }

    body.highcontrast .sop .portlet-custom .o-btn {
        background-color: #fff;
        color: #000;
    }

    body.highcontrast .sop .portlet-custom table td, .sop .portlet-custom table th {
        color: #fff;
    }

    body.highcontrast .grid-table {
        background-color: #000;
    }

    body.highcontrast .sop .portlet-custom input[type="text"] {
        box-shadow: none;
    }

    body.highcontrast .basket-link {
        color: #ffd800;
    }

    body.highcontrast .payment-link {
        color: #ffd800;
        border:1px solid transparent;
    }

    body.highcontrast .payment-link:hover {
        color: #ffd800;
        border: 1px solid transparent;
    }

    body.highcontrast .sop .portlet-custom .o-btn {
        box-shadow: none !important;
    }

    body.highcontrast .sop.sop .sop-main h2.f-label {
        color: #fff;
    }

    body.highcontrast .sop .portlet-custom textarea {
        box-shadow: none;
    }

    body.highcontrast .sop .portlet-custom .custom-select:not(.datepicker) {
        box-shadow: none;
    }

    body.highcontrast .sop.sop .portlet-custom input[type="text"],
    body.highcontrast .sop.sop .portlet-custom input[type="password"],
    body.highcontrast .sop.sop .portlet-custom input[type="date"],
    body.highcontrast .sop.sop .portlet-custom input[type="datetime"],
    body.highcontrast .sop.sop .portlet-custom input[type="email"],
    body.highcontrast .sop.sop .portlet-custom input[type="number"],
    body.highcontrast .sop.sop .portlet-custom input[type="search"],
    body.highcontrast .sop.sop .portlet-custom input[type="tel"],
    body.highcontrast .sop.sop .portlet-custom input[type="time"],
    body.highcontrast .sop.sop .portlet-custom input[type="hour"],
    body.highcontrast .sop.sop .portlet-custom input[type="url"],
    body.highcontrast .sop.sop .portlet-custom .input-text {
        box-shadow: none;
    }

    body.highcontrast .sop .portlet-custom h2,
    body.highcontrast .sop .portlet-custom .h2 {
        color: #fff !important;
    }

    body.highcontrast .payment-link {
        color: #ffd800;
    }

        body.highcontrast .payment-link:hover {
            color: #ffd800;
        }

    body.highcontrast .ui-calendar-day:hover {
        background-color: #000 !important;
        color: #ffd800 !important;
    }

    body.highcontrast .ticket-price {
        color: #fff;
    }

    body.highcontrast .sop-ci-label {
        color: #fff;
    }

    body.highcontrast .sop.sop .portlet-custom .radio-label [type=radio]:checked ~ .sop-ci:before {
        background-color: #ffd800;
        border: 2px solid #ffd800;
    }

    body.highcontrast .sop.sop .sop-form .f-row .f-label {
        color: #ffd800;
    }

    body.highcontrast .o-btn-white {
        color: #000;
    }

    body.highcontrast .o-btn-white2 {
        color: #000;
    }

    body.highcontrast .additional-info {
        color: #fff;
    }

    body.highcontrast .f-step__number {
        color: #000 !important;
    }

    body.highcontrast .no-account-box {
        background-color: #000;
    }

    body.highcontrast .no-account-box2 {
        background-color: #000;
    }

    body.highcontrast .no-account-label {
        color: #ffd800;
    }

    body.highcontrast .register-now {
        background-color: #000;
    }

    body.highcontrast .login-form-box {
        background-color: #000;
    }

    body.highcontrast .login-terms-and-conditions-toggle {
        background-color: #000;
    }
    body.highcontrast .city-card-terms {
        background-color: #000;
    }

    body.highcontrast .sop.sop .sop-confirmation-message-parent .sop-confirmation-message {
        background-color: #000;
    }

    body.highcontrast .login-terms-and-conditions-toggle {
        color: #ffd800;
    }
    body.highcontrast .city-card-terms {
        color: #ffd800;
    }

    body.highcontrast .password-reset {
        color: #ffd800;
    }

    body.highcontrast .arrow-link-container .arrow-link-button {
        background-image: url("../img/hk_yellow-arrow.png") !important;
    }

        body.highcontrast .arrow-link-container .arrow-link-button:hover {
            background-image: url("../img/hk_yellow-arrow.png") !important;
        }

    body.highcontrast .sop .portlet-custom a:hover, body.highcontrast .sop .portlet-custom a:focus, body.highcontrast .sop .portlet-custom a:active {
        background-color: #000;
        color: #ffd800;
        border: 1px solid #ffd800;
    }

    body.highcontrast .bar {
        background-color: #ffd800;
    }

    body.highcontrast .header-menu-background {
        background-color: #000;
    }

    body.highcontrast .sop-form {
        color: #fff;
    }

    body.highcontrast .uxc-hours-collection {
        background-color: #000;
        border-color: #000;
    }

    body.highcontrast .uxc-hour {
        color: #fff;
        border-color: #d9d9d9;
    }

        body.highcontrast .uxc-hour:hover {
            color: #ffd800 !important;
            border: 1px #ffd800 solid !important;
        }

    body.highcontrast .wizard-single-choice {
        color: #000;
        box-shadow: none;
    }

    body.highcontrast .form-select {
        box-shadow: none !important;
    }

    body.highcontrast .ticket {
        color: #000;
    }

    body.highcontrast .ticket-name {
        color: #000;
    }

    body.highcontrast .transaction-icon:after {
        background-image: url(../img/hk_yellow-arrow.png);
    }

    body.highcontrast .prolong-ticket {
        background-color: black;
        border: 3px dotted #fff;
    }

    body.highcontrast input[type="radio"]::before {
        box-shadow: inset 1em 1em #000;
    }

    body.highcontrast #sop-form-login .f-section div input {
        box-shadow: none;
    }

    body.highcontrast .link-btn-white {
        color: #000;
    }

    body.highcontrast .arrow-link-bg {
        box-shadow: none;
    }

        body.highcontrast .arrow-link-bg span:hover {
            color: #000 !important;
            text-decoration: underline;
        }

    body.highcontrast .wizard-single-choice {
        box-shadow: none;
    }

    body.highcontrast .sop .portlet-custom .custom-select:not(.datepicker):after {
        color: #000;
    }

    body.highcontrast .total__sum {
        color: #000 !important;
    }

    body.highcontrast .ticket-owner {
        color: #000 !important;
    }

    body.highcontrast .ui-calendar-current-month {
        color: #000 !important;
    }

    body.highcontrast .ui-calendar-year {
        color: #000 !important;
    }

    body.highcontrast .arrow-link:hover,
    body.highcontrast .arrow-link:hover * {
        color: #ffd800 !important;
        border: 0px !important;
    }

    body.highcontrast .partner-category {
        color: #fff !important;
    }

    body.highcontrast .partner-category-selected {
        color: #ffd800 !important;
    }

    body.highcontrast .ticket-owner-selected {
        color:#ffd800 !important;
        background-color:#000;
        border: 1px solid #ffd800;
    }